Package org.multiverse.api.collections

## Interface TxnIterable<E>

- Type Parameters:
    `E` -
  All Superinterfaces:
    `Iterable<E>`
  All Known Subinterfaces:
    `TxnCollection<E>`, `TxnDeque<E>`, `TxnList<E>`, `TxnQueue<E>`, `TxnSet<E>`, `TxnStack<E>`
  All Known Implementing Classes:
    `AbstractTxnCollection`, `NaiveTxnHashSet`, `NaiveTxnLinkedList`, `NaiveTxnStack`

      public interface TxnIterable<E>
      extends Iterable<E>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TxnIterator<E>` | `iterator()` |
    `TxnIterator<E>` | `iterator​(Txn txn)` | Returns an iterator over a set of elements of type T.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### iterator

          TxnIterator<E> iterator​(Txn txn)

      Returns an iterator over a set of elements of type T.
      Parameters:
        `txn` - the Txn used for this Operation.
      Returns:
        an Iterator.

    - #### iterator

          TxnIterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E>`